vich_uploader:
    metadata:
        type: attribute
        
    db_driver: orm

    mappings:
        user_images:
            uri_prefix: '%app.path.user_images%'
            upload_destination: '%kernel.project_dir%/public%app.path.user_images%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        event_images:
            uri_prefix: '%app.path.event_images%'
            upload_destination: '%kernel.project_dir%/public%app.path.event_images%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        thumbmail_images:
            uri_prefix: '%app.path.thumbmail_images%'
            upload_destination: '%kernel.project_dir%/public%app.path.thumbmail_images%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        announce_medias:
            uri_prefix: '%app.path.announce_medias%'
            upload_destination: '%kernel.project_dir%/public%app.path.announce_medias%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        media_pdf:
            uri_prefix: '%app.path.cba_pdf%'
            upload_destination: '%kernel.project_dir%/public%app.path.cba_pdf%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        media_audio:
            uri_prefix: '%app.path.cba_audio%'
            upload_destination: '%kernel.project_dir%/public%app.path.cba_audio%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        media_video:
            uri_prefix: '%app.path.cba_video%'
            upload_destination: '%kernel.project_dir%/public%app.path.cba_video%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        media_replay:
            uri_prefix: '%app.path.cba_replay%'
            upload_destination: '%kernel.project_dir%/public%app.path.cba_replay%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        
